<ion-header>
  <ion-toolbar>
    <ion-buttons slot="end">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Editor de oferta</ion-title>
    <ion-buttons slot="start">
      <ion-button (click)="goToBack()">
        <ion-icon name="arrow-back" size="large"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <form [formGroup]="registerForm" (ngSubmit)="updateOffer(registerForm.value)">
    <ion-item>
      <ion-label position="floating"
        >Titulo<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-input formControlName="title"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validationMessage.title">
        <div
          *ngIf="registerForm.get('title').hasError(validation.type) && 
          (registerForm.get('title').dirty || 
          registerForm.get('title').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <ion-item>
      <ion-label>Publico</ion-label>
      <ion-toggle formControlName="publicOffer" color="primary"></ion-toggle>
    </ion-item>

    <ion-item>
      <ion-label position="floating"
        >Cantidad<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-input formControlName="quantity"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validationMessage.quantity">
        <div
          *ngIf="registerForm.get('quantity').hasError(validation.type) && 
          (registerForm.get('quantity').dirty || 
          registerForm.get('quantity').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <ion-item *ngIf="!(listImages?.length>0)">
      <ion-label>Ingrese al menos una imagen</ion-label>
    </ion-item>
    <div *ngIf="listImages?.length>0">
      <ng-container *ngFor="let val of listImages; let i = index">
        <div>
          <ion-item>
            <ion-thumbnail slot="start">
              <img [src]="val.base64image" />
            </ion-thumbnail>
            <ion-label>
              <p>{{val.name}}</p>
            </ion-label>
            <ion-button shape="round" (click)="removeImage(i)">
              <ion-icon name="close-outline" size="large"></ion-icon>
            </ion-button>
          </ion-item>
        </div>
      </ng-container>
    </div>

    <ion-item>
      <ion-input type="file" *ngIf="!imageURL" (change)="fileChanges($event)">
      </ion-input>
    </ion-item>

    <ion-item *ngIf="chipList?.length>0">
      <ion-chip
        outline
        color="dark"
        *ngFor="let val of chipList; let i = index"
      >
        <ion-label>{{val}}</ion-label>
        <ion-icon (click)="deleteChip(val)" name="close-circle"></ion-icon>
      </ion-chip>
    </ion-item>

    <ion-item *ngIf="!(chipList?.length>0)">
      <ion-label>Ingrese al menos una categoria</ion-label>
    </ion-item>

    <ion-item>
      <ion-button size="small" (click)="addChip()"
        >Adiciona categoria</ion-button
      >
    </ion-item>

    <ion-item>
      <ion-label position="floating"
        >Descripción<ion-text color="danger">*</ion-text></ion-label
      >
      <ion-textarea
        formControlName="description"
        rows="4"
        cols="20"
        placeholder="Enter any notes here..."
      ></ion-textarea>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validationMessage.description">
        <div
          *ngIf="registerForm.get('description').hasError(validation.type) && 
          (registerForm.get('description').dirty || 
          registerForm.get('description').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <ion-button
      expand="full"
      shape="round"
      [disabled]="!registerForm.valid || !(listImages?.length>0) || !(chipList?.length>0)"
      type="submit"
      >Guardar</ion-button
    >
  </form>
</ion-content>
